
html {
  position: relative;
  min-height: 100%;
}

body {
  font-family: hci-font;
  font-size: $hci-font-default;
  font-weight: $regular;

  @include themify($themes) {
    color: themed("base-text-color");
    background-color: themed("base-background-color");
  }

  display: flex;
  flex-direction: row;
  flex: 1 1 100%;
}

.app-root {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  width: 100vw;
  height: 100vh;
}

form {
  display: flex;
}

.outlet-column {
  display: flex;
  flex-grow: 1;
  flex-direction: column;
  overflow: hidden;
}

.outlet-row {
  display: flex;
  flex-grow: 1;
  flex-direction: row;
  overflow: hidden;
}

.x-auto {
  overflow-x: auto;
}

.x-hidden {
  overflow-x: hidden;
}

.y-auto {
  overflow-y: auto;
}

.y-hidden {
  overflow-y: hidden;
}

.flex-0-1-50 {
  flex: 0 1 50%;
}

.font-lg {
  font-size: 1.25rem;
}

.font-sm {
  font-size: 0.75rem;
}

.btn-first {
  @include themify($themes) {
    background: themed("btn-first");
    color: themed("btn-primary-color");
  }
}

.btn-second {
  @include themify($themes) {
    background: themed("btn-second");
    color: themed("btn-secondary-color");
  }
}

.ri-scroll-wrapper,
.ri-modal {
  display: flex;
  flex-direction: column;
  height: 100%;
}
